`timescale 1ns / 1ps

module cga_main
	(
    // Clocks
	 input wire clk50mhz,
    //input clk_10m,
    //input clk_14m318,
    //input clk_bus,
	 
	 output wire [2:0]VGA_R,
	 output wire [2:0]VGA_G,
	 output wire [2:0]VGA_B,

    // Bus reset
    input wire busreset,

    // ISA bus
    input wire [19:0] bus_a,
    input wire bus_ior_l,
    input wire bus_iow_l,
    input wire bus_memr_l,
    input wire bus_memw_l,
    inout wire [7:0] bus_d,
    output wire bus_dir,
    output wire bus_rdy,
    output wire bus_0ws_l,
    input wire bus_aen,
    input wire bus_ale,

    // RAM
    output wire ram_we_l,
    output wire [18:0] ram_a,
    inout wire [7:0] ram_d,

    // Video outputs
    output wire hsync,
    output wire vsync,
    output wire vid_en_l,
    output wire d_r,
    output wire d_g,
    output wire d_b,
    output wire d_r2,
    output wire d_g2,
    output wire d_b2,
    output wire vga_hsync,
    output wire vga_vsync,

    // Config switches
    input wire switch2,
    input wire switch3,
	 
	 output LED
	 
	 
	);
	   
	 
	 wire clkvga;	 
	 
	 wire [5:0]red;
	 wire [5:0]green;
	 wire [5:0]blue;
	 assign VGA_R = red[5:3];
	 assign VGA_G = green[5:3];
	 assign VGA_B = blue[5:3];
 
 
    clock relojes (
    .CLK_IN1(clk50mhz),
	 .CLK_OUT1(clkvga)    
    );


	cga_top sys_inst
	(
		.clkvga(clkvga),		
		.busreset(busreset),
		.bus_a(bus_a),
		.bus_ior_l(bus_ior_l),
		.bus_iow_l(bus_iow_l),
		.bus_d(bus_d),
		.bus_dir(bus_dir),
		.bus_rdy(bus_rdy),
		.bus_0ws_l(bus_0ws_l),
		.bus_aen(bus_aen),
		.bus_ale(bus_ale),
		.ram_we_l(ram_we_l),
		.ram_a(ram_a),
	 	.ram_d(ram_d),
		.hsync(hsync),
		.vsync(vsync),
		.vid_en_l(vid_en_l),
		.d_r(d_r),
      .d_g(d_g),
      .d_b(d_b),
      .d_r2(d_r2),
      .d_g2(d_g2),
      .d_b2(d_b2),
      .vga_hsync(vga_hsync),
      .vga_vsync(vga_vsync),
		.red(red),
		.green(green),
		.blue(blue),
      .switch2(switch2),
      .switch3(switch3),
		.LED(LED)
		
	);

endmodule
