`timescale 1ns / 1ps

module mda_main
	(
    // Clocks
	 input CLK_50MHZ,
    //input clk_10m,
    //input clk_14m318,
    //input clk_bus,
	 
	 output[2:0] VGA_R,
	 output[2:0] VGA_G,
	 output[2:0] VGA_B,

    // Bus reset
    input busreset,

    // ISA bus
    input[19:0] bus_a,
    input bus_ior_l,
    input bus_iow_l,
    input bus_memr_l,
    input bus_memw_l,
    inout[7:0] bus_d,
    output bus_dir,
    output bus_rdy,
    output bus_0ws_l,
    input bus_aen,
    input bus_ale,

    // RAM
    output ram_we_l,
    output [18:0] ram_a,
    inout [7:0] ram_d,

    // Video outputs
    output hsync,
    output vsync,
    output vid_en_l,
    output d_r,
    output d_g,
    output d_b,
    output d_r2,
    output d_g2,
    output d_b2,
    output vga_hsync,
    output vga_vsync,

    // Config switches
    input switch2,
    input switch3,
	 
	 output LED
	 
	);
		 
	 wire clkvga;	 

	 wire [5:0]red;
	 wire [6:0]green;
	 wire [5:0]blue;
	 assign VGA_R = red[5:3];
	 assign VGA_G = green[6:4];
	 assign VGA_B = blue[5:3];	 
	 
	 clock2 relojes (
    .CLK_IN1(CLK_50MHZ),
	 .CLK_OUT2(clkvga)    
    );
	 
	 

	mda_top sys_inst
	(
		.clkvga(clkvga),
		.busreset(busreset),
		.bus_a(bus_a),
		.bus_ior_l(bus_ior_l),
		.bus_iow_l(bus_iow_l),
		.bus_d(bus_d),
		.bus_dir(bus_dir),
		.bus_rdy(bus_rdy),
		.bus_0ws_l(bus_0ws_l),
		.bus_aen(bus_aen),
		.bus_ale(bus_ale),
		.ram_we_l(ram_we_l),
		.ram_a(ram_a),
	 	.ram_d(ram_d),
		.hsync(hsync),
		.vsync(vsync),
		.vid_en_l(vid_en_l),
		.d_r(d_r),
      .d_g(d_g),
      .d_b(d_b),
      .d_r2(d_r2),
      .d_g2(d_g2),
      .d_b2(d_b2),
      .vga_hsync(vga_hsync),
      .vga_vsync(vga_vsync),
		.red(red),
		.green(green),
		.blue(blue),
      .switch2(switch2),
      .switch3(switch3),
		.LED(LED)
		
	);

endmodule
